Overlord: Fellowship of Evil System Requirements
Overlord: Fellowship of Evil is developed by Codemasters Software. This game is released world wide by Codemasters Software on 20 October 2015. Overlord: Fellowship of Evil need below system requirements graphic card 2 GB GeForce GTX 660-Radeon R9 270 or better / 4 GB RAM / Windows Vista-7-8
Game Information
  • Developer : Codemasters Software
  • Publisher : Codemasters Software
  • Game category : Role Playing
  • Age Requirements : NA
  • Playing Modes : single - multiplayer , multiplayer mode: Internet, players: 1-4
  • It is released on : 20 October 2015
Overlord: Fellowship of Evil Minimum pc system requirements
  • Processor : Intel Core 2 Duo E4600 2.4 GHz- AMD Athlon x2 5400+ 2.8
  • Ram Requirements : 2 GB RAM
  • Hard disk Space : 4 GB HDD
  • Graphic Card : graphic card 1 GB GeForce GTX 280-Radeon HD 4870 or better
  • Operating System : Windows 7-8 64-bit
Overlord: Fellowship of Evil Recommended pc system requirements
  • Processor : Intel Core i5-3570 3.4 GHz-AMD FX-6300 3.5 GHz
  • Ram Requirements : 4 GB RAM
  • Graphic Card : graphic card 2 GB GeForce GTX 660-Radeon R9 270 or better
  • Operating System : Windows Vista-7-8